summaryrefslogtreecommitdiff
path: root/klm/compile.sh
diff options
context:
space:
mode:
authorredpony <redpony@ec762483-ff6d-05da-a07a-a48fb63a330f>2010-10-18 23:24:01 +0000
committerredpony <redpony@ec762483-ff6d-05da-a07a-a48fb63a330f>2010-10-18 23:24:01 +0000
commite0ef743090038ee02d656cee11debd2246624ba0 (patch)
treee5e1d32402c8dcb490c574e24c087c56d4cc172e /klm/compile.sh
parent0c2514868f58bbfe422aa275e2905182cf2f57eb (diff)
kenneth's LM preliminary integration
git-svn-id: https://ws10smt.googlecode.com/svn/trunk@681 ec762483-ff6d-05da-a07a-a48fb63a330f
Diffstat (limited to 'klm/compile.sh')
-rwxr-xr-xklm/compile.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/klm/compile.sh b/klm/compile.sh
new file mode 100755
index 00000000..d16dbe66
--- /dev/null
+++ b/klm/compile.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+#This is just an example compilation. You should integrate these files into your build system. I can provide boost jam if you want.
+#If your code uses ICU, edit util/string_piece.hh and uncomment #define USE_ICU
+
+set -e
+
+for i in util/{ersatz_progress,exception,file_piece,murmur_hash,scoped,string_piece,mmap} lm/{exception,virtual_interface,ngram}; do
+ g++ -I. -O3 -c $i.cc -o $i.o
+done
+g++ -I. -O3 lm/ngram_build_binary.cc {lm,util}/*.o -o build_binary
+g++ -I. -O3 lm/ngram_query.cc {lm,util}/*.o -o query